6.0.0-git
2020-12-03

[#15031] PHP 7.4 missing Forwarded Message from a Forward
Summary PHP 7.4 missing Forwarded Message from a Forward
Queue IMP
Queue Version 6.2.26
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester mach (at) swishmail (dot) com
Created 2020-08-13 (112 days ago)
Due
Updated 2020-08-27 (98 days ago)
Assigned
Resolved 2020-08-25 (100 days ago)
Milestone
Patch No

History
2020-08-27 19:35:27 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit d8e26da14de961f23465355b472b681763b0538a
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu, 27 Aug 2020 15:29:42 -0400

[mjr] Fix attachments disappearing when forwarding in PHP 7.4 (Bug #15031).

  M docs/changelog.yml

https://github.com/horde/imp/commit/d8e26da14de961f23465355b472b681763b0538a
2020-08-25 21:41:30 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
There is something wonky going on with file_put_contents() here in PHP 
7.4. Test cases don't seem to trigger it, but for some reason 
file_put_contents() is returning false despite the stream contents 
being successfully written to the tmp file.

Refactoring to use fopen()/fwrite() seems to work, at least until we 
figure out what's going on here.

https://github.com/horde/imp/commit/1b346a4dbdd9a5d0afcb84ec4645bdb0df2e1656

2020-08-13 18:42:32 mach (at) swishmail (dot) com Comment #1
Type ⇒ Bug
Priority ⇒ 2. Medium
State ⇒ Unconfirmed
Summary ⇒ PHP 7.4 missing Forwarded Message from a Forward
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Using the latest imp and PHP 7.4 when you try to forward an email the 
"Forwarded Message" is not included. It is included in PHP 7.3.

Saved Queries